Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

gemset like support? [question] #25

Closed
jasdeepsingh opened this issue Jan 27, 2017 · 2 comments
Closed

gemset like support? [question] #25

jasdeepsingh opened this issue Jan 27, 2017 · 2 comments

Comments

@jasdeepsingh
Copy link

@jasdeepsingh jasdeepsingh commented Jan 27, 2017

Just started looking into asdf and as a result asdf-ruby and I was wondering if there's a way to isolate the gem versions under the same ruby version somehow? Very much like the concept of gemsets in rvm?

Example:

  • Project A

    • ruby-2.3.1
    • rails 5.0.1
  • Project B

    • ruby-2.3.1
    • rails 4.2.5
@jasdeepsingh jasdeepsingh changed the title gemset support? gemset like support? [question] Jan 27, 2017
@HashNuke

This comment has been minimized.

Copy link
Member

@HashNuke HashNuke commented Jan 29, 2017

@jasdeepsingh No gemset support planned. I guess this might be a bit muddy to implement. Would love suggestions/contributions on implementation.

@jasdeepsingh

This comment has been minimized.

Copy link
Author

@jasdeepsingh jasdeepsingh commented Jan 30, 2017

@HashNuke thanks, I'll familiarize myself with the parent asdf project and the plugin ecosystem to see how this could be achieved. We can close this issue for now.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.